<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Namespace: tangible</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Namespace: tangible</h1>

    




<section>

<header>
    
        <h2>
            <span class="ancestors"><a href="MTLG.html">MTLG</a>.</span>tangible</h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        
            <div class="description">Tangible modul of the mtlg-framework.
It detects basic triangle tangibles and add a tangible object to the createJS Events: _handlePointerUp, _handlePointerMove, _handlePointerDown.</br>
The start pointerID for tangible events starts at 1000
<pre>
nativeEvent
tangible
  degree:       // Grad der Rotation des Tangibles
  id:           // ID des Tangibles
   mainTid:     // Debug -- ID des ersten Touch-Punktes
   mainTouchX:  // Debug -- X-Position des ersten Touch-Punktes
   mainTouchY:  // Debug -- Y-Position des ersten Touch-Punktes
   offDisplay:  // Debug -- Tangible Stack information
    radius:     // Radius des Tangibles
    secTid:     // Debug -- ID des zweiten Touch-Punktes
    thirdTid:   // Debug -- ID des dritten Touch-Punktes
    x:          // x-Position des Tangibles
    y:          // y-Position des Tangible
</pre></div>
        

        


<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="modules_mtlg-modul-tangibles_mtlg-tangible-modul.js.html">modules/mtlg-modul-tangibles/mtlg-tangible-modul.js</a>, <a href="modules_mtlg-modul-tangibles_mtlg-tangible-modul.js.html#line12">line 12</a>
    </li></ul></dd>
    

    

    

    
</dl>


        
    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="..filterTouches-turnsfilterinfoftangibletouchesonoroff"><span class="type-signature">(static) </span>.filterTouches - turns filterinf of tangible touches on or off<span class="signature">(filter)</span><span class="type-signature"></span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>filter</code></td>
            

            <td class="type">
            
                
<span class="param-type">type</span>


            
            </td>

            

            

            <td class="description last">boolean true=on false=off</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="modules_mtlg-modul-tangibles_mtlg-tangible-modul.js.html">modules/mtlg-modul-tangibles/mtlg-tangible-modul.js</a>, <a href="modules_mtlg-modul-tangibles_mtlg-tangible-modul.js.html#line567">line 567</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
            

    

    
    <h4 class="name" id="..init-initfuctioniscalledfrommtlgtoregisterthemodule"><span class="type-signature">(static) </span>.init - init fuction is called from mtlg to register the module<span class="signature">(objects)</span><span class="type-signature"></span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>objects</code></td>
            

            <td class="type">
            
                
<span class="param-type">type</span>


            
            </td>

            

            

            <td class="description last">standard object with mtlg parameters</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="modules_mtlg-modul-tangibles_mtlg-tangible-modul.js.html">modules/mtlg-modul-tangibles/mtlg-tangible-modul.js</a>, <a href="modules_mtlg-modul-tangibles_mtlg-tangible-modul.js.html#line577">line 577</a>
    </li></ul></dd>
    

    

    

    
</dl>


















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="MTLG.utilities.graph.html">graph</a></li></ul><h3>Namespaces</h3><ul><li><a href="MTLG.html">MTLG</a></li><li><a href="MTLG.menu.html">menu</a></li><li><a href="MTLG.tangible.html">tangible</a></li><li><a href="MTLG.utilities.html">utilities</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.5.5</a> on Mon Dec 04 2017 15:08:57 GMT+0100 (CET)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>